cabal-install-3.10.2.1: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Client.SrcDist

Description

Utilities to implement cabal `v2-sdist`.

Synopsis

- allPackageSourceFiles :: Verbosity -> FilePath -> IO [FilePath]
- packageDirToSdist :: Verbosity -> GenericPackageDescription -> FilePath -> IO ByteString

# Documentation

allPackageSourceFiles :: Verbosity -> FilePath -> IO [FilePath] #

List all source files of a given add-source dependency. Exits with error if something is wrong (e.g. there is no .cabal file in the given directory).

Used in sandbox and projectbuilding. TODO: when sandboxes are removed, move to ProjectBuilding.

packageDirToSdist #

Arguments

:: Verbosity |
-> GenericPackageDescription | read in GPD
-> FilePath | directory containing that GPD
-> IO ByteString | resulting sdist tarball

Create a tarball for a package in a directory